Returns user privileges for the Kibana space

Base URL
https://{kibana_url}
  • GET /api/detection_engine/privileges
  • GET /s/{space_id}/api/detection_engine/privileges
Auth

Retrieves whether or not the user is authenticated, and the user's Kibana space and index privileges, which determine if the user can create an index for the Elastic Security alerts generated by detection engine rules.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Responses

Successful response

application/json
has_encryption_key boolean required
is_authenticated boolean required

Unsuccessful authentication response

application/json
error string required
message string required
statusCode integer required

Internal server error response

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}